@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --letra-negra: #000;
  --letra-blanca: #fff;
  --color-primario: #0c3866;
  --color-blanco: #fff;
  --color-azul: #205081;
  --color-rojo: #ff0000;
  --color-verde: #279b37;
  --width-button: 110px;
  --rojo-dyco: #ed3237;
  --gris-dyco: #727376;
  --rojo-titulos: #c70306c4;
  --datatable: #2d3c4a;
  --datatable-font: #fff;
  --letra-size: 11px;
  --letra-size_botones: 10px;
  --letra-size_tablas: 10px;
  --letra-bold: 500;
  --header-modal: #086788;
  --letra-botones: "Raleway", sans-serif;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
  color: var(--color-azul);
  background-color: var(--bs-nav-tabs-link-active-bg);
  border-color: var(--bs-nav-tabs-link-active-border-color);
  font-size: var(--letra-size);
  font-weight: 600;
  font-family: "Roboto", sans-serif;
}
.nav-tabs .nav-link {
  margin-bottom: calc(-1* var(--bs-nav-tabs-border-width));
  border: var(--bs-nav-tabs-border-width) solid transparent;
  border-top-left-radius: var(--bs-nav-tabs-border-radius);
  border-top-right-radius: var(--bs-nav-tabs-border-radius);
  font-size: var(--letra-size);
  color: var(--gris-dyco);
}

.bordes-morados {
  border: #9370db 1px solid;
}


.letras_senc_moradas_satori {
  color: rgba(102, 51, 153, 0.9);
  /* Establece la opacidad del color */
  font-size: clamp(16px, 2.5vw, 30px);
  /* mínimo, ideal, máximo; */
  font-family: "Quicksand", sans-serif;
}

.highlight-text {
  letter-spacing: 0px;
  font-family: "Quicksand", sans-serif;
  font-weight: 400;
  font-size: clamp(14px, 1.3vw, 24px);
  /* mínimo, ideal, máximo; */
  word-wrap: normal;
  color: gray;
}


.sombra-gris {
  box-shadow: 10px 10px 20px gray;
  /* 5px hacia la derecha, 5px hacia abajo, opacidad 0.5, desenfoque 10px */
}


body {
  margin: 0;
  padding: 10px;
  color: black;
  font-family: Poppins;
  font-size: 14px;
  background-color: #fff;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25'%3E%3Cdefs%3E%3ClinearGradient id='a' gradientUnits='userSpaceOnUse' x1='0' x2='0' y1='0' y2='100%25' gradientTransform='rotate(12,960,463)'%3E%3Cstop offset='0' stop-color='%23ffffff'/%3E%3Cstop offset='1' stop-color='%23E2E2E2'/%3E%3C/linearGradient%3E%3Cpattern patternUnits='userSpaceOnUse' id='b' width='1659' height='1382.5' x='0' y='0' viewBox='0 0 1080 900'%3E%3Cg fill-opacity='0.03'%3E%3Cpolygon fill='%23444' points='90 150 0 300 180 300'/%3E%3Cpolygon points='90 150 180 0 0 0'/%3E%3Cpolygon fill='%23AAA' points='270 150 360 0 180 0'/%3E%3Cpolygon fill='%23DDD' points='450 150 360 300 540 300'/%3E%3Cpolygon fill='%23999' points='450 150 540 0 360 0'/%3E%3Cpolygon points='630 150 540 300 720 300'/%3E%3Cpolygon fill='%23DDD' points='630 150 720 0 540 0'/%3E%3Cpolygon fill='%23444' points='810 150 720 300 900 300'/%3E%3Cpolygon fill='%23FFF' points='810 150 900 0 720 0'/%3E%3Cpolygon fill='%23DDD' points='990 150 900 300 1080 300'/%3E%3Cpolygon fill='%23444' points='990 150 1080 0 900 0'/%3E%3Cpolygon fill='%23DDD' points='90 450 0 600 180 600'/%3E%3Cpolygon points='90 450 180 300 0 300'/%3E%3Cpolygon fill='%23666' points='270 450 180 600 360 600'/%3E%3Cpolygon fill='%23AAA' points='270 450 360 300 180 300'/%3E%3Cpolygon fill='%23DDD' points='450 450 360 600 540 600'/%3E%3Cpolygon fill='%23999' points='450 450 540 300 360 300'/%3E%3Cpolygon fill='%23999' points='630 450 540 600 720 600'/%3E%3Cpolygon fill='%23FFF' points='630 450 720 300 540 300'/%3E%3Cpolygon points='810 450 720 600 900 600'/%3E%3Cpolygon fill='%23DDD' points='810 450 900 300 720 300'/%3E%3Cpolygon fill='%23AAA' points='990 450 900 600 1080 600'/%3E%3Cpolygon fill='%23444' points='990 450 1080 300 900 300'/%3E%3Cpolygon fill='%23222' points='90 750 0 900 180 900'/%3E%3Cpolygon points='270 750 180 900 360 900'/%3E%3Cpolygon fill='%23DDD' points='270 750 360 600 180 600'/%3E%3Cpolygon points='450 750 540 600 360 600'/%3E%3Cpolygon points='630 750 540 900 720 900'/%3E%3Cpolygon fill='%23444' points='630 750 720 600 540 600'/%3E%3Cpolygon fill='%23AAA' points='810 750 720 900 900 900'/%3E%3Cpolygon fill='%23666' points='810 750 900 600 720 600'/%3E%3Cpolygon fill='%23999' points='990 750 900 900 1080 900'/%3E%3Cpolygon fill='%23999' points='180 0 90 150 270 150'/%3E%3Cpolygon fill='%23444' points='360 0 270 150 450 150'/%3E%3Cpolygon fill='%23FFF' points='540 0 450 150 630 150'/%3E%3Cpolygon points='900 0 810 150 990 150'/%3E%3Cpolygon fill='%23222' points='0 300 -90 450 90 450'/%3E%3Cpolygon fill='%23FFF' points='0 300 90 150 -90 150'/%3E%3Cpolygon fill='%23FFF' points='180 300 90 450 270 450'/%3E%3Cpolygon fill='%23666' points='180 300 270 150 90 150'/%3E%3Cpolygon fill='%23222' points='360 300 270 450 450 450'/%3E%3Cpolygon fill='%23FFF' points='360 300 450 150 270 150'/%3E%3Cpolygon fill='%23444' points='540 300 450 450 630 450'/%3E%3Cpolygon fill='%23222' points='540 300 630 150 450 150'/%3E%3Cpolygon fill='%23AAA' points='720 300 630 450 810 450'/%3E%3Cpolygon fill='%23666' points='720 300 810 150 630 150'/%3E%3Cpolygon fill='%23FFF' points='900 300 810 450 990 450'/%3E%3Cpolygon fill='%23999' points='900 300 990 150 810 150'/%3E%3Cpolygon points='0 600 -90 750 90 750'/%3E%3Cpolygon fill='%23666' points='0 600 90 450 -90 450'/%3E%3Cpolygon fill='%23AAA' points='180 600 90 750 270 750'/%3E%3Cpolygon fill='%23444' points='180 600 270 450 90 450'/%3E%3Cpolygon fill='%23444' points='360 600 270 750 450 750'/%3E%3Cpolygon fill='%23999' points='360 600 450 450 270 450'/%3E%3Cpolygon fill='%23666' points='540 600 630 450 450 450'/%3E%3Cpolygon fill='%23222' points='720 600 630 750 810 750'/%3E%3Cpolygon fill='%23FFF' points='900 600 810 750 990 750'/%3E%3Cpolygon fill='%23222' points='900 600 990 450 810 450'/%3E%3Cpolygon fill='%23DDD' points='0 900 90 750 -90 750'/%3E%3Cpolygon fill='%23444' points='180 900 270 750 90 750'/%3E%3Cpolygon fill='%23FFF' points='360 900 450 750 270 750'/%3E%3Cpolygon fill='%23AAA' points='540 900 630 750 450 750'/%3E%3Cpolygon fill='%23FFF' points='720 900 810 750 630 750'/%3E%3Cpolygon fill='%23222' points='900 900 990 750 810 750'/%3E%3Cpolygon fill='%23222' points='1080 300 990 450 1170 450'/%3E%3Cpolygon fill='%23FFF' points='1080 300 1170 150 990 150'/%3E%3Cpolygon points='1080 600 990 750 1170 750'/%3E%3Cpolygon fill='%23666' points='1080 600 1170 450 990 450'/%3E%3Cpolygon fill='%23DDD' points='1080 900 1170 750 990 750'/%3E%3C/g%3E%3C/pattern%3E%3C/defs%3E%3Crect x='0' y='0' fill='url(%23a)' width='100%25' height='100%25'/%3E%3Crect x='0' y='0' fill='url(%23b)' width='100%25' height='100%25'/%3E%3C/svg%3E");
  background-attachment: fixed;
  background-size: cover;
}

.section-title {
  color: var(--rojo-titulos);
  font-weight: 600;
  letter-spacing: 5px;
  text-transform: uppercase;
}

.titulo-1 {
  margin: 1px;
  padding: 5px;
  font-size: 20px;
  font-weight: 400;
  text-shadow: 0px 0px 0px black, 0.05em 0em 0em #979797, 0 0 0em red;
  letter-spacing: 1px;
  font-family: "Roboto", sans-serif;
}

.titulo-2 {
  margin: 1px;
  padding: 5px;
  font-size: 18px;
  font-weight: 400;
  text-shadow: 0px 0px 0px black, 0.05em 0em 0em #979797, 0 0 0em red;
  letter-spacing: 1px;
  font-family: "Roboto", sans-serif;
}

.titulo-3 {
  margin: 1px;
  padding: 5px;
  font-size: 14px;
  font-weight: 400;
  text-shadow: 0px 0px 0px black, 0.05em 0em 0em #979797, 0 0 0em red;
  letter-spacing: 1px;
  font-family: "Roboto", sans-serif;
}

.titulo-4 {
  margin: 1px;
  padding: 5px;
  font-size: 12px;
  font-weight: 400;
  text-shadow: 0px 0px 0px black, 0.05em 0em 0em #979797, 0 0 0em red;
  letter-spacing: 1px;
  font-family: "Roboto", sans-serif;
}

.titulo-5 {
  padding: 5px;
  font-size: 10px;
  font-weight: 400;
  text-shadow: 0px 0px 0px black, 0.05em 0em 0em #979797, 0 0 0em red;
  letter-spacing: 1px;
  font-family: "Roboto", sans-serif;
}

.negrita {
  font-weight: 600;
}

.rojo {
  color: #ff0000;
}

p {
  margin-top: 5px;
  margin-bottom: 5px;
  font-size: var(--letra-size);
  font-family: Roboto;
  color: #000;
  padding: 5px;
}

span {
  font-family: Roboto;
  font-size: var(--letra-size);
  padding: 2px;
}

hr {
  border-top: 1px solid var(--color-primario);
}

label {
  font-size: var(--letra-size);
  padding: 1px;
  padding-inline-end: 1em;
  color: var(--letra-negra);
  display: block;
  font-family: Roboto;
  font-weight: 500;
  margin-top: 0.2rem;
  margin-bottom: 0.2rem;
}

.is-required:after {
  content: "*";
  margin-left: 3px;
  color: #ff4f81;
  font-weight: bold;
}

.label-is-required {
  font-size: 9px;
  color: var(--letra-negra);
  display: block;
  font-family: Poppins;
  font-weight: 600;
}

.label-is-required:before {
  content: "*";
  margin-left: 3px;
  color: #ff4f81;
  font-weight: bold;
}

input::-webkit-outer-spin-button,
s input::-webkit-inner-spin-button {
  margin-left: 5px;
}

input[type="date"] {
  width: 100%;
  padding: 2px 2px;
  margin-bottom: 10px 0;
  box-sizing: border-box;
  border: 1px solid #ccc;
  font-size: var(--letra-size);
  box-shadow: 1px 1px 1px 1px #cdcdcd;
  border-radius: 4px;
  color: var(--letra-negra);
  text-align: center;
}

input[type="file"] {
  width: 100%;
  padding: 4px 4px;
  margin-bottom: 10px 0;
  border-radius: 4px;
  padding-inline-end: 0.2rem;
  color: var(--letra-negra);
  font-family: Roboto;
  font-size: var(--letra-size);
  border: 1px solid #08519c;
  display: inherit;
  font-weight: 500;
}

input[type="number"],
input[type="email"],
input[type="text"],
input[type="password"],
textarea {
  width: 100%;
  padding: 2px 2px;
  margin-bottom: 10px 0;
  box-sizing: border-box;
  box-shadow: 1px 1px 1px 1px #cdcdcd;
  border-radius: 4px;
  padding-inline-end: 0.2rem;
  color: var(--letra-negra);
  font-family: Roboto;
  font-size: var(--letra-size);
  border: 1px solid #ccc;
  border-bottom-color: hsla(185, 100%, 62%, 0.2);
  display: inherit;
  font-weight: normal;
}

input[type="number"] {
  text-align: right;
}

select {
  width: 100%;
  font-size: 0.7rem;
}

select option {
  color: var(--letra-negra);
  font-size: var(--letra-size);
  font-family: Roboto;
  width: auto;
}

input[type="submit"] {
  padding: 8px 8px;
  margin: 8px 0;
  box-sizing: border-box;
  font-size: var(--letra-size);
  font-weight: 500;
  /* offset-x | offset-y | color */
}

textarea:focus,
input:focus {
  outline: none;
}

textarea:focus~span,
input:focus~span {
  transform-origin: bottom left;
  transform: scaleX(1);
}

textarea:invalid,
input:invalid {
  /* background-image: url("../../obras/imagenes/error.ico"); */
  background-position: right center;
  background-repeat: no-repeat;
  border-left: 2px solid #ff4f81;
  border-bottom: 1px solid #ff4f81;
}

input:required:valid,
textarea:required:valid {
  /* background-image: url("../../obras/imagenes/ok.ico"); */
  background-position: right center;
  background-repeat: no-repeat;
  border-left: 2px solid #279b37;
  border-bottom: 1px solid #279b37;
}

input[type="number"]:disabled,
input[type="email"]:disabled,
input[type="text"]:disabled,
input[type="password"]:disabled,
input[type="date"]:disabled,
textarea:disabled {
  background: #f0f0f0;
  border-left: 0.1rem solid #6a6a6a;
  border-right: 0.1rem solid #6a6a6a;
  border-radius: 5px;
  color: #464646;
  font-size: clamp(0.75rem, 0.714rem + 0.179vw, 0.875rem);
}

input[type="checkbox"]:checked:disabled {
  color: #a1a1a4;
}

input[type="checkbox"]:checked:disabled {
  background-color: #a1a1a4;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  cursor: pointer;
  border-radius: 4px;
  margin-right: 2px;
  opacity: 0.6;
  filter: invert(0.8);
}

input[type="date"]::-webkit-calendar-picker-indicator:hover {
  opacity: 1;
}

input.largerCheckbox {
  width: 20px;
  height: 20px;
  vertical-align: middle;
}

/* Estilo para el placeholder del input */
input::placeholder {
  color: #999;
  /* Color del texto del placeholder */
  font-style: normal;
  /* Estilo de fuente del placeholder */
  font-size: 9px;
  font-family: Arial, Helvetica, sans-serif;
  text-transform: lowercase;
  /* Otros estilos que desees */
}

/* Estilo para el placeholder del textarea */
textarea::placeholder {
  color: #6d6c6c;
  /* Color del texto del placeholder */
  font-style: italic;
  /* Estilo de fuente del placeholder */
  font-size: 9px;
  font-family: Arial, Helvetica, sans-serif;
  text-transform: lowercase;
  /* Otros estilos que desees */
}

.chosen {
  width: 100%;
}

.chosen-select {
  width: 100%;
  z-index: 10000;
}

.chosen-results {
  font-size: var(--letra-size);
}

.chosen-container {
  font-size: var(--letra-size);
  width: 100% !important;
  font-weight: 400;
}

select[disabled]+.chosen-container {
  border-left: 1px solid #6a6a6a;
  border-right: 1px solid #6a6a6a;
  border-radius: 5px;
  pointer-events: none;
  opacity: 1 !important;
  font-weight: 500;
  cursor: default;

}

select[disabled]+.chosen-container .chosen-single {
  cursor: default;
  color: #a1a1a4;
}

select[disabled]+.chosen-container .chosen-choices .search-choice .search-choice-close {
  cursor: default;
  color: #a1a1a4;
}

table.dataTable tbody th,
table.dataTable tbody td {
  padding: 4px 8px 4px 8px;
  /* top | right | bottom | left */
}

table.dataTable tbody th,
table.dataTable tbody td {
  padding: 4px 8px 4px 8px;
  /* top | right | bottom | left */
}

table.dataTable tfoot th,
table.dataTable tfoot td {
  padding: 4px 8px 4px 8px;
  /* top | right | bottom | left */
  padding-inline-end: 0.2rem;
}

/* Datos internos de la Tabla */
tbody td {
  line-height: 1.2;
  font-size: var(--letra-size_tablas);
  color: var(--letra-negra);
  word-wrap: break-word;
  text-overflow: ellipsis;
  border: 1px solid #ccc !important;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
}

thead th,
tfoot th {
  padding: 0px 0px;
  line-height: 1.6;
  border: 1px solid #ccc !important;
  background-color: var(--datatable);
  color: #fff;
  font-weight: 400;
  font-family: "Poppins", sans-serif;
  font-size: var(--letra-size_botones);
  text-align: center;
}

table.dataTable thead th,
table.dataTable tfoot th {
  padding: 0px 0px;
  line-height: 1.6;
  border: 1px solid #ccc !important;
  background-color: var(--datatable);
  color: #fff;
  font-weight: 400;
  font-family: "Poppins", sans-serif;
  font-size: var(--letra-size_botones);
  text-align: center;
}

div.dataTables_length>label {
  font-size: var(--letra-size);
}

div.dataTables_info {
  font-size: var(--letra-size);
  font-weight: 500;
  color: var(--letra-negra);
  font-family: Roboto;
}

div.dataTables_filter>label>input {
  font-family: Roboto;
  font-size: var(--letra-size);
  font-weight: 500;
}

div.dataTables_filter>label {
  font-family: Roboto;
  font-size: var(--letra-size);
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
  padding: 0.2em 1em !important;
  font-size: var(--letra-size);
  /* Letra paginación */
  font-weight: 400;
  font-family: Roboto;
}

.efecto_input {
  position: absolute;
  bottom: 0;
  left: 1em;
  right: 1em;
  height: 0.12em;
  box-shadow: 0 0 0.2rem #fff, 0 0 0.2rem #fff, 0 0 1rem var(--header-modal),
    0 0 0.4rem var(--header-modal), 0 0 1.4rem var(--header-modal),
    inset 0 0 0.5rem var(--header-modal);
  transform-origin: bottom right;
  transform: scaleX(0);
  transition: transform 0.3s ease;
  padding: 0px;
}

/* BOTON PRIMARY  */
button>span {
  font-size: var(--letra-size_botones);
  font-family: "Roboto", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.btn-primary {
  background-color: var(--color-azul);
  color: #e8f1f5;
  border: 1px solid #e8f1f5;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-primary:hover {
  color: var(--color-azul);
  background-color: #fff;
  border: 1px solid #08519c;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-primary {
  color: #08519c;
  background-color: transparent;
  border: 1px solid #08519c;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-primary:hover {
  background-color: #08519c;
  color: #ffffff;
  border: 1px solid #08519c;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

/* BOTON SUCCESS  */
.btn-success {
  background-color: #279b37;
  border: 1px solid #279b37;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-success:hover {
  color: #279b37;
  background-color: #fff;
  border: 1px solid #279b37;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-success {
  color: #279b37;
  background-color: transparent;
  border: 1px solid #279b37;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-success:hover {
  background-color: #279b37;
  color: #ffffff;
  border: 1px solid #279b37;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

/* BOTON WARNING  */

.btn-warning {
  background-color: #ffc168;
  border: 1px solid #ffc168;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-warning:hover {
  color: #ffc168;
  background-color: var(--letra-negra);
  border: 1px solid #ffc168;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-warning {
  color: #f57d00;
  background-color: transparent;
  border: 1px solid #ffc168;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: Poppins;
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  font-style: italic;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-warning:hover {
  background-color: #ffc168;
  color: var(--letra-negra);
  border: 1px solid #ffc168;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

/* BOTON DANGER  */
.btn-danger {
  background-color: #ed1c24;
  border: 1px solid #ed1c24;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-danger:hover {
  color: #ed1c24;
  background-color: #fff;
  border: 1px solid #ed1c24;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-danger {
  color: #ed1c24;
  background-color: transparent;
  border: 1px solid #ed1c24;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-danger:hover {
  background-color: #ed1c24;
  color: #ffffff;
  border: 1px solid #ed1c24;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

/* BUTTON INFO  */
.btn-info {
  background-color: #0033a1;
  border: 1px solid #0033a1;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-info:hover {
  color: #0033a1;
  background-color: #fff;
  border: 1px solid #0033a1;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-info {
  color: #0033a1;
  background-color: transparent;
  border: 1px solid #0033a1;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-info:hover {
  background-color: #0033a1;
  color: #ffffff;
  border: 1px solid #0033a1;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

/* BUTTON SECONDARY  */
.btn-secondary {
  background-color: #505264;
  border: 1px solid #505264;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-secondary:hover {
  color: #505264;
  background-color: #fff;
  border: 1px solid #505264;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-secondary {
  color: #505264;
  background-color: transparent;
  border: 1px solid #505264;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

.btn-outline-secondary:hover {
  background-color: #505264;
  color: #ffffff;
  border: 1px solid #505264;
  font-size: var(--letra-size_botones);
  font-weight: 400;
  font-family: var(--letra-botones);
  letter-spacing: 0.5px;
  border-radius: 0.3vw;
  box-shadow: 0 0.5em 1em 0 rgba(106, 106, 106, 0.35);
  margin: 1px;
  padding: 5px 7px 5px 7px;
  /*top right bottom left*/
}

swiper-container {
  width: 100%;
  padding-top: 50px;
  padding-bottom: 50px;
}

swiper-slide {
  background-position: center;
  background-size: cover;
  width: 400px;
  height: 400px;
}

swiper-slide img {
  display: block;
  width: 100%;
  overflow: hidden;
}

/*   sdfsdf */
.navbar {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  padding: 2px;
  font-size: 12px;
}
.navbar a, .navbar a:focus {
  display: flex;
  align-items: center;
  justify-content: space-between;
  
  font-size: clamp(0.625rem, 0.589rem + 0.179vw, 0.75rem);
  font-family: "Poppins", sans-serif;
  color: #2c4964;
  white-space: nowrap;
  transition: 0.3s;
  border-bottom: 2px solid #fff;
  padding: 5px 10px;
}
.navbar-light .navbar-nav .nav-link {
  color: var(--letra-negra);
  font-weight: 400;
  font-family: "Poppins", sans-serif;
}

.navbar-light .navbar-nav .nav-link:hover {
  color: var(--letra-negra);
  font-weight: 500;
  font-family: "Poppins", sans-serif;
}

.dropdown-toggle {
  display: block;
  padding: 0.5rem 1rem;
  font-size: 11px;
  font-family: "Roboto", sans-serif;
}

.dropdown-toggle:hover {
  font-weight: 800;
  letter-spacing: 1px;
  transition: all 0.3s ease-in-out;
}

.dropdown-item {
  background-image: linear-gradient(to right,
      #08538c,
      #08538c 50%,
      #52565e 50%);
  background-size: 200% 100%;
  background-position: -100%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  transition: all 0.3s ease-in-out;
  font-family: "Poppins", sans-serif;
  font-size: var(--letra-size);
  font-weight: 600;
  color: var(--letra-negra);
  letter-spacing: 0px;
}

.dropdown-item:hover {
  background-color: var(--color-primario);
  font-weight: 800;
  letter-spacing: 2px;
}

.focused {
  outline: none;
  border-top: none;
  border-left: none;
  border-right: none;
  border-bottom: 1px solid lightgray;
}

.underlined {
  /*   background: red; */
  position: relative;
}

.underline-clip:after {
  content: "";
  position: absolute;
  top: 95%;
  width: 30%;
  aspect-ratio: 3 / 1;
  left: 50%;
  transform: translate(-50%, 0);
  border-radius: 50%;
  border: 2px solid var(--color-primario);
  /* Use a clip-path to hide and show the bits you want */
  clip-path: polygon(0 0, 50% 50%, 100% 0);
}

.modal-header {
  background-color: var(--header-modal);
  color: var(--letra-blanca);
  padding: 10px;
}

.modal-footer {
  background-color: #eff2f3;
  padding: 4px 4px 0px 4px;
  margin: 0px;
  position: sticky;
  bottom: 0;
  width: 100%;
  height: 100%;
  /* top | right | bottom | left */
}

.modal-backdrop {
  opacity: 0.2 !important;
}

.modal-title {
  font-size: 12px;
  color: #fff;
  font-weight: 400;
  font-family: var(--letra-botones);
}

.modal-body {
  background-color: #eff2f3;
  padding: 4px 10px 4px 10px;
  /* top | right | bottom | left */
  overflow-x: hidden;
}

.modal-dialog {
  max-width: 90%;
  margin-left: auto;
  margin-right: auto;
  vertical-align: middle;
}

.modal-content {
  -webkit-border-radius: 0px !important;
  -moz-border-radius: 0px !important;
  border-radius: 10px !important;
  border: 1px solid #979797;
}

.modal {
  overflow-y: auto !important;
  margin-left: 10px;
  margin-top: 10px;
  z-index: 9999;
}

.modal-xs {
  max-width: 30% !important;
}

.modal-sm {
  max-width: 40% !important;
}

.modal-md {
  max-width: 60% !important;
}

.modal-lg {
  max-width: 80% !important;
}

.modal-xl {
  max-width: 95% !important;
}

/* Darle Estilo al Boton de cerrar las ventanas modales */

.close {
  display: flex;
  justify-content: center;
  /* Centrar horizontalmente */
  align-items: center;
  /* Centrar verticalmente */
  padding: 1px;
  color: #fff;
  background-color: var(--header-modal);
  border-color: #fff;
  width: 20px;
  /* Ancho del botón */
  height: 20px;
  /* Altura del botón */
}

.close span {
  font-size: 14px;
  padding: 1px;
  display: flex;
  justify-content: center;
  /* Centrar horizontalmente */
  align-items: center;
  /* Centrar verticalmente */
}

/* Darle Estilo al Boton cuando se pasa el ratón de cerrar las ventanas modales */
.close:hover {
  font-size: 16px;
  padding: 1px;
  font-weight: 300;
  background-color: #d0002c;
  color: #fff;
  border-color: #ff0000;
  width: 20px;
  /* Ancho del botón */
  height: 20px;
  /* Altura del botón */
}

.modal .nav-tabs .nav-link.active:hover .close {
  background-color: red;
}

.loader {
  position: relative;
}

.outer,
.middle,
.inner {
  border: 1px solid transparent;
  border-top-color: var(--rojo-dyco);
  border-right-color: var(--rojo-dyco);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
}

.outer {
  width: 3.5em;
  height: 3.5em;
  margin-left: -1.75em;
  margin-top: -1.75em;
  animation: spin 2s linear infinite;
}

.middle {
  width: 2.1em;
  height: 2.1em;
  margin-left: -1.05em;
  margin-top: -1.05em;
  animation: spin 1.75s linear reverse infinite;
}

.inner {
  width: 0.8em;
  height: 0.8em;
  margin-left: -0.4em;
  margin-top: -0.4em;
  animation: spin 1.5s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

.blink_me {
  animation: blinker 1s linear infinite;
  color: var(--rojo-dyco);
  font-size: 12px;
  font-weight: 600;
  font-family: Roboto;
  top: 50%;
  left: 50%;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

.clientes_seleccionados {
  color: #db3552;
  font-weight: 500;
  margin: 0px;
  padding-top: 0px;
  padding-bottom: 2px;
  padding-left: 0px;
}

.letra_badge {
  font-family: "Tahoma", sans-serif;
  font-size: 9px;
  word-wrap: break-word;
  padding: 2px;
  background-color: #b84592;
  letter-spacing: 1px;
}

.form-group {
  display: flex;
  align-items: center;
  position: relative;
  padding: 1px;
}

.form-group label {
  margin-right: 10px;
  padding: 1px;
}

.form-group input[type="text"],
input[type="email"],
input[type="text"],
input[type="password"],
textarea {
  padding: 2px;
  /* border: 1px solid #ccc; */
}

.tippy-box[data-theme~="yellow"] {
  background-color: #fff9db;
  color: #000;
  font-size: 0.7rem;
  font-weight: 500;
  font-style: italic;
  font-family: "Roboto", sans-serif;
  border: 1px solid #e6e6e6;
  border-radius: 5px;
}

.tippy-box[data-theme~="yellow"]>.tippy-arrow::before {
  border-top-color: #fff9db;
  transform: scale(0.8);
}

.tippy-box[data-theme~="red"] {
  background-color: #d20962;
  color: #fff;
  font-size: 0.7rem;
  font-weight: 500;
  font-style: italic;
  font-family: "Roboto", sans-serif;
  border: 1px solid #e6e6e6;
  border-radius: 5px;
}

.tippy-box[data-theme~="red"]>.tippy-arrow::before {
  border-top-color: #d20962;
  transform: scale(0.8);
}

.resaltado {
  /* Para los mensajes de alerta
  mensaje_success
  error_validacion */

  font-weight: 600;
  color: #006400;
  font-size: 0.9rem;
  text-decoration: underline;
  font-style: italic;
}

@media (max-width: 576px) {

  /* Datos internos de la Tabla */
  tbody td {
    line-height: 1.2;
    font-size: 10px;
  }

  .modal-xs {
    max-width: 95% !important;
    margin: auto;
  }

  .modal-sm {
    max-width: 95% !important;
    margin: auto;
  }

  .modal-md {
    max-width: 95% !important;
  }

  .modal-lg {
    max-width: 95% !important;
  }
}

@media (max-width: 768px) {

  /* Datos internos de la Tabla */
  tbody td {
    line-height: 1.2;
    font-size: 10px;
  }

  .modal-xs {
    max-width: 70% !important;
    margin: auto;
  }

  .modal-sm {
    max-width: 80% !important;
    margin: auto;
  }

  .modal-md {
    max-width: 90% !important;
  }

  .modal-lg {
    max-width: 95% !important;
  }
}

@media (max-width: 992px) {

  /* Datos internos de la Tabla */
  tbody td {
    line-height: 1.2;
    font-size: 10px;
  }

  .modal-xs {
    max-width: 60% !important;
    margin: auto;
  }

  .modal-sm {
    max-width: 70% !important;
    margin: auto;
  }

  .modal-md {
    max-width: 80% !important;
  }

  .modal-lg {
    max-width: 90% !important;
  }
}